| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::gapi::ov::PyParams Class Reference

`#include <opencv2/gapi/infer/bindings_ov.hpp>`

Collaboration diagram for cv::gapi::ov::PyParams:

## Public Member Functions
GAPI_WRAP | PyParams ()=default
GAPI_WRAP | PyParams (const std::string &tag, const std::string &blob_path, const std::string &device)
GAPI_WRAP | PyParams (const std::string &tag, const std::string &model_path, const std::string &bin_path, const std::string &device)
GBackend | backend () const
GAPI_WRAP PyParams & | cfgInputModelLayout (std::map< std::string, std::string > layout_map)
GAPI_WRAP PyParams & | cfgInputModelLayout (std::string tensor_layout)
GAPI_WRAP PyParams & | cfgInputTensorLayout (std::map< std::string, std::string > layout_map)
GAPI_WRAP PyParams & | cfgInputTensorLayout (std::string tensor_layout)
GAPI_WRAP PyParams & | cfgMean (std::map< std::string, std::vector< float > > mean_map)
GAPI_WRAP PyParams & | cfgMean (std::vector< float > mean_values)
GAPI_WRAP PyParams & | cfgNumRequests (const size_t nireq)
GAPI_WRAP PyParams & | cfgOutputModelLayout (std::map< std::string, std::string > layout_map)
GAPI_WRAP PyParams & | cfgOutputModelLayout (std::string tensor_layout)
GAPI_WRAP PyParams & | cfgOutputTensorLayout (std::map< std::string, std::string > layout_map)
GAPI_WRAP PyParams & | cfgOutputTensorLayout (std::string tensor_layout)
GAPI_WRAP PyParams & | cfgOutputTensorPrecision (int precision)
GAPI_WRAP PyParams & | cfgOutputTensorPrecision (std::map< std::string, int > precision_map)
GAPI_WRAP PyParams & | cfgPluginConfig (const std::map< std::string, std::string > &config)
GAPI_WRAP PyParams & | cfgReshape (std::map< std::string, std::vector< size_t > > new_shape_map)
GAPI_WRAP PyParams & | cfgReshape (std::vector< size_t > new_shape)
GAPI_WRAP PyParams & | cfgResize (int interpolation)
GAPI_WRAP PyParams & | cfgResize (std::map< std::string, int > interpolation)
GAPI_WRAP PyParams & | cfgScale (std::map< std::string, std::vector< float > > scale_map)
GAPI_WRAP PyParams & | cfgScale (std::vector< float > scale_values)
cv::util::any | params () const
std::string | tag () const

## Constructor & Destructor Documentation

## ◆ PyParams() [1/3]

GAPI_WRAP cv::gapi::ov::PyParams::PyParams | ( |  | ) |
| default

Python:
| cv.gapi.ov.PyParams( |  | ) -> | <gapi_ov_PyParams object>
| cv.gapi.ov.PyParams( | tag, model_path, bin_path, device | ) -> | <gapi_ov_PyParams object>
| cv.gapi.ov.PyParams( | tag, blob_path, device | ) -> | <gapi_ov_PyParams object>

## ◆ PyParams() [2/3]

GAPI_WRAP cv::gapi::ov::PyParams::PyParams | ( | const std::string & | tag,
|  | const std::string & | model_path,
|  | const std::string & | bin_path,
|  | const std::string & | device )

Python:
| cv.gapi.ov.PyParams( |  | ) -> | <gapi_ov_PyParams object>
| cv.gapi.ov.PyParams( | tag, model_path, bin_path, device | ) -> | <gapi_ov_PyParams object>
| cv.gapi.ov.PyParams( | tag, blob_path, device | ) -> | <gapi_ov_PyParams object>

## ◆ PyParams() [3/3]

GAPI_WRAP cv::gapi::ov::PyParams::PyParams | ( | const std::string & | tag,
|  | const std::string & | blob_path,
|  | const std::string & | device )

Python:
| cv.gapi.ov.PyParams( |  | ) -> | <gapi_ov_PyParams object>
| cv.gapi.ov.PyParams( | tag, model_path, bin_path, device | ) -> | <gapi_ov_PyParams object>
| cv.gapi.ov.PyParams( | tag, blob_path, device | ) -> | <gapi_ov_PyParams object>

## Member Function Documentation

## ◆ backend()

GBackend cv::gapi::ov::PyParams::backend | ( |  | ) | const

## ◆ cfgInputModelLayout() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgInputModelLayout | ( | std::map< std::string, std::string > | layout_map | ) |

Python:
| cv.gapi.ov.PyParams.cfgInputModelLayout( | tensor_layout | ) -> | retval
| cv.gapi.ov.PyParams.cfgInputModelLayout( | layout_map | ) -> | retval

## ◆ cfgInputModelLayout() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgInputModelLayout | ( | std::string | tensor_layout | ) |

Python:
| cv.gapi.ov.PyParams.cfgInputModelLayout( | tensor_layout | ) -> | retval
| cv.gapi.ov.PyParams.cfgInputModelLayout( | layout_map | ) -> | retval

## ◆ cfgInputTensorLayout() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgInputTensorLayout | ( | std::map< std::string, std::string > | layout_map | ) |

Python:
| cv.gapi.ov.PyParams.cfgInputTensorLayout( | tensor_layout | ) -> | retval
| cv.gapi.ov.PyParams.cfgInputTensorLayout( | layout_map | ) -> | retval

## ◆ cfgInputTensorLayout() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgInputTensorLayout | ( | std::string | tensor_layout | ) |

Python:
| cv.gapi.ov.PyParams.cfgInputTensorLayout( | tensor_layout | ) -> | retval
| cv.gapi.ov.PyParams.cfgInputTensorLayout( | layout_map | ) -> | retval

## ◆ cfgMean() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgMean | ( | std::map< std::string, std::vector< float > > | mean_map | ) |

Python:
| cv.gapi.ov.PyParams.cfgMean( | mean_values | ) -> | retval
| cv.gapi.ov.PyParams.cfgMean( | mean_map | ) -> | retval

## ◆ cfgMean() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgMean | ( | std::vector< float > | mean_values | ) |

Python:
| cv.gapi.ov.PyParams.cfgMean( | mean_values | ) -> | retval
| cv.gapi.ov.PyParams.cfgMean( | mean_map | ) -> | retval

## ◆ cfgNumRequests()

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgNumRequests | ( | const size_t | nireq | ) |

Python:
| cv.gapi.ov.PyParams.cfgNumRequests( | nireq | ) -> | retval

## ◆ cfgOutputModelLayout() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgOutputModelLayout | ( | std::map< std::string, std::string > | layout_map | ) |

Python:
| cv.gapi.ov.PyParams.cfgOutputModelLayout( | tensor_layout | ) -> | retval
| cv.gapi.ov.PyParams.cfgOutputModelLayout( | layout_map | ) -> | retval

## ◆ cfgOutputModelLayout() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgOutputModelLayout | ( | std::string | tensor_layout | ) |

Python:
| cv.gapi.ov.PyParams.cfgOutputModelLayout( | tensor_layout | ) -> | retval
| cv.gapi.ov.PyParams.cfgOutputModelLayout( | layout_map | ) -> | retval

## ◆ cfgOutputTensorLayout() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgOutputTensorLayout | ( | std::map< std::string, std::string > | layout_map | ) |

Python:
| cv.gapi.ov.PyParams.cfgOutputTensorLayout( | tensor_layout | ) -> | retval
| cv.gapi.ov.PyParams.cfgOutputTensorLayout( | layout_map | ) -> | retval

## ◆ cfgOutputTensorLayout() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgOutputTensorLayout | ( | std::string | tensor_layout | ) |

Python:
| cv.gapi.ov.PyParams.cfgOutputTensorLayout( | tensor_layout | ) -> | retval
| cv.gapi.ov.PyParams.cfgOutputTensorLayout( | layout_map | ) -> | retval

## ◆ cfgOutputTensorPrecision() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgOutputTensorPrecision | ( | int | precision | ) |

Python:
| cv.gapi.ov.PyParams.cfgOutputTensorPrecision( | precision | ) -> | retval
| cv.gapi.ov.PyParams.cfgOutputTensorPrecision( | precision_map | ) -> | retval

## ◆ cfgOutputTensorPrecision() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgOutputTensorPrecision | ( | std::map< std::string, int > | precision_map | ) |

Python:
| cv.gapi.ov.PyParams.cfgOutputTensorPrecision( | precision | ) -> | retval
| cv.gapi.ov.PyParams.cfgOutputTensorPrecision( | precision_map | ) -> | retval

## ◆ cfgPluginConfig()

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgPluginConfig | ( | const std::map< std::string, std::string > & | config | ) |

Python:
| cv.gapi.ov.PyParams.cfgPluginConfig( | config | ) -> | retval

## ◆ cfgReshape() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgReshape | ( | std::map< std::string, std::vector< size_t > > | new_shape_map | ) |

Python:
| cv.gapi.ov.PyParams.cfgReshape( | new_shape | ) -> | retval
| cv.gapi.ov.PyParams.cfgReshape( | new_shape_map | ) -> | retval

## ◆ cfgReshape() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgReshape | ( | std::vector< size_t > | new_shape | ) |

Python:
| cv.gapi.ov.PyParams.cfgReshape( | new_shape | ) -> | retval
| cv.gapi.ov.PyParams.cfgReshape( | new_shape_map | ) -> | retval

## ◆ cfgResize() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgResize | ( | int | interpolation | ) |

Python:
| cv.gapi.ov.PyParams.cfgResize( | interpolation | ) -> | retval

## ◆ cfgResize() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgResize | ( | std::map< std::string, int > | interpolation | ) |

Python:
| cv.gapi.ov.PyParams.cfgResize( | interpolation | ) -> | retval

## ◆ cfgScale() [1/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgScale | ( | std::map< std::string, std::vector< float > > | scale_map | ) |

Python:
| cv.gapi.ov.PyParams.cfgScale( | scale_values | ) -> | retval
| cv.gapi.ov.PyParams.cfgScale( | scale_map | ) -> | retval

## ◆ cfgScale() [2/2]

GAPI_WRAP PyParams & cv::gapi::ov::PyParams::cfgScale | ( | std::vector< float > | scale_values | ) |

Python:
| cv.gapi.ov.PyParams.cfgScale( | scale_values | ) -> | retval
| cv.gapi.ov.PyParams.cfgScale( | scale_map | ) -> | retval

## ◆ params()

cv::util::any cv::gapi::ov::PyParams::params | ( |  | ) | const

## ◆ tag()

std::string cv::gapi::ov::PyParams::tag | ( |  | ) | const

The documentation for this class was generated from the following file:

- opencv2/gapi/infer/bindings_ov.hpp